import java.awt.*;

public class BorderedPanel extends Panel {
  public BorderedPanel() { super(); }
  public BorderedPanel(LayoutManager layout) { super(layout); }

  public void paint(Graphics g) {
    super.paint(g);
    Dimension d = getSize();
    //draw border
    g.setColor(Color.gray);
    g.drawLine(0, 0, d.width-1, 0);
    g.drawLine(0, 1, 0, d.height-1);
    g.setColor(Color.black);
    g.drawLine(1, 1, d.width-2, 1);
    g.drawLine(1, 2, 1, d.height-2);
    g.setColor(Color.lightGray);
    g.drawLine(d.width-2, 1, d.width-2, d.height-2);
    g.drawLine(1, d.height-2, d.width-2, d.height-2);
    g.setColor(Color.white);
    g.drawLine(d.width-1, 0, d.width-1, d.height-1);
    g.drawLine(0, d.height-1, d.width-1, d.height-1);
  }
}
